package com.menagerie.ophelia.HomeScreen

import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Spacer
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.material.MaterialTheme
import androidx.compose.material3.Button
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.dp
import com.menagerie.ophelia.ui.theme.OpheliaTheme

@Composable
fun HomeScreen(
    onClick: () -> Unit,
) {
    val text = if(true) "Get Started" else "Welcome Back"
    HeaderText(text, onClick)
}

@Composable
fun HeaderText(
    text: String,
    onClick: () -> Unit
) {
    Box(
        modifier = Modifier
            .fillMaxSize()
    ) {
        Column(
            modifier = Modifier
                .fillMaxWidth()
                .padding(top = 10.dp)
                .align(Alignment.Center),
            horizontalAlignment = Alignment.CenterHorizontally,
            verticalArrangement = Arrangement.Center,
        ) {
            Spacer(modifier = Modifier.weight(1f))
            Text (
                text = "Ophelia",
                style = MaterialTheme.typography.h1
            )
            Text (
                text = "A Polycule Pocket-dex!"
            )
            Spacer(modifier = Modifier.weight(1f))
            Button(
                modifier = Modifier.padding(12.dp),
                onClick = onClick
            ) {
                Text(text = text)
            }
        }
    }
}